> ## Documentation Index
> Fetch the complete documentation index at: https://docs.drime.cloud/llms.txt
> Use this file to discover all available pages before exploring further.

# Move Entries

> Move files and folders to a different location

## Overview

Moves one or more file entries to a different folder.

## Query Parameters

<ParamField query="workspaceId" type="integer">
  Workspace context
</ParamField>

## Request Body

<ParamField body="entryIds" type="array" required>
  Array of entry IDs to move
</ParamField>

<ParamField body="destinationId" type="integer">
  Destination folder ID. Use `null` to move to root.
</ParamField>

## Response

<ResponseField name="entries" type="array">
  Array of moved file entry objects
</ResponseField>

<ResponseField name="status" type="string">
  Request status (`success`)
</ResponseField>

<RequestExample>
  ```bash cURL theme={null}
  curl -X POST "https://app.drime.cloud/api/v1/file-entries/move?workspaceId=0" \
    -H "Authorization: Bearer YOUR_ACCESS_TOKEN" \
    -H "Content-Type: application/json" \
    -d '{
      "entryIds": [123, 456],
      "destinationId": 789
    }'
  ```

  ```javascript JavaScript theme={null}
  const response = await fetch(
    'https://app.drime.cloud/api/v1/file-entries/move?workspaceId=0',
    {
      method: 'POST',
      headers: {
        'Authorization': 'Bearer YOUR_ACCESS_TOKEN',
        'Content-Type': 'application/json'
      },
      body: JSON.stringify({
        entryIds: [123, 456],
        destinationId: 789 // folder ID, or null for root
      })
    }
  );

  const { entries } = await response.json();
  ```

  ```python Python theme={null}
  import requests

  response = requests.post(
      'https://app.drime.cloud/api/v1/file-entries/move',
      params={'workspaceId': 0},
      headers={'Authorization': 'Bearer YOUR_ACCESS_TOKEN'},
      json={
          'entryIds': [123, 456],
          'destinationId': 789  # folder ID, or None for root
      }
  )

  entries = response.json()['entries']
  ```
</RequestExample>

<ResponseExample>
  ```json 200 - Success theme={null}
  {
    "status": "success",
    "entries": [
      {
        "id": 123,
        "name": "document.pdf",
        "parent_id": 789,
        "updated_at": "2024-01-20T10:00:00.000000Z"
      },
      {
        "id": 456,
        "name": "photo.jpg",
        "parent_id": 789,
        "updated_at": "2024-01-20T10:00:00.000000Z"
      }
    ]
  }
  ```
</ResponseExample>
